| kspaceFirstOrder3D-OMP 1.0 The C++ implementation of the k-wave toolbox for the time-domain simulation of acoustic wave fields in 3D

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | Static Private Attributes
THDF5_FileHeader Class Reference

Class for HDF5 header.

`#include <HDF5_File.h>`

Collaboration diagram for THDF5_FileHeader:
[legend]

List of all members.

## Public Types
enum | THDF5_FileHeaderItems { hdf5_fhi_created_by = 0, hdf5_fhi_creation_date = 1, hdf5_fhi_file_description = 2, hdf5_fhi_major_version = 3, hdf5_fhi_minor_version = 4, hdf5_fhi_file_type = 5, hdf5_fhi_host_name = 6, hdf5_fhi_total_memory_consumption = 7, hdf5_fhi_peak_core_memory_consumption = 8, hdf5_fhi_total_execution_time = 9, hdf5_fhi_data_load_time = 10, hdf5_fhi_preprocessing_time = 11, hdf5_fhi_simulation_time = 12, hdf5_fhi_postprocessing_time = 13, hdf5_fhi_number_of_cores = 14 }
| List of all header items.
enum | THDF5_FileType { hdf5_ft_input = 0, hdf5_ft_output = 1, hdf5_ft_checkpoint = 2, hdf5_ft_unknown = 3 }
| HDF5 file type.
## Public Member Functions
| THDF5_FileHeader ()
| Constructor.
| THDF5_FileHeader (const THDF5_FileHeader &other)
| Copy constructor.
| ~THDF5_FileHeader ()
| Destructor.
void | ReadHeaderFromInputFile (THDF5_File &InputFile)
| Read header from the input file.
void | WriteHeaderToOutputFile (THDF5_File &OutputFile)
| Write header to the output file.
void | SetCodeName (string CodeName)
void | SetActualCreationTime ()
| Set creation time.
void | SetMajorFileVersion ()
| Set major file version.
void | SetMinorFileVersion ()
| Set minor file version.
bool | CheckMajorFileVersion ()
bool | CheckMinorFileVersion ()
THDF5_FileHeader::THDF5_FileType | GetFileType ()
| Get File type.
void | SetFileType (const THDF5_FileHeader::THDF5_FileType FileType)
| Set file type.
void | SetHostName ()
| Set host name.
void | SetMemoryConsumption (size_t TotalMemory)
| Set memory consumption.
void | SetExecutionTimes (const double TotalTime, const double LoadTime, const double PreProcessingTime, const double SimulationTime, const double PostprocessingTime)
| Set execution times.
void | SetNumberOfCores ()
| Set number of cores.
## Static Public Member Functions
static string | GetSupportedHDF5_MajorVersion ()
static string | GetSupportedHDF5_MinorVersion ()
## Private Member Functions
void | PopulateHeaderFileMap ()
| Populate the map with the header items.
## Private Attributes
map< THDF5_FileHeaderItems, string > | HDF5_FileHeaderValues
| map for the header values
map< THDF5_FileHeaderItems, string > | HDF5_FileHeaderNames
| map for the header names
## Static Private Attributes
static const string | HDF5_FileTypesNames [] = {"input","output", "checkpoint", "unknown"}
| String representation of different file types.

## Detailed Description

Definition at line 478 of file HDF5_File.h.

## Constructor & Destructor Documentation

THDF5_FileHeader::THDF5_FileHeader | ( | const THDF5_FileHeader & | other | ) |

Copy constructor.

Parameters:

  [in] | other |

Definition at line 756 of file HDF5_File.cpp.

## Member Function Documentation

bool THDF5_FileHeader::CheckMajorFileVersion | ( |  | ) | `[inline]`

Check major file version

Returns:
  true if ok

Definition at line 552 of file HDF5_File.h.

bool THDF5_FileHeader::CheckMinorFileVersion | ( |  | ) | `[inline]`

Check minor file version

Returns:
  true if ok

Definition at line 557 of file HDF5_File.h.

THDF5_FileHeader::THDF5_FileType THDF5_FileHeader::GetFileType | ( |  | ) |

Get File type.

Returns:
  FileType

Definition at line 818 of file HDF5_File.cpp.

Here is the caller graph for this function:

static string THDF5_FileHeader::GetSupportedHDF5_MajorVersion | ( |  | ) | `[inline, static]`

Get the major metadata version

Returns:
  1

Definition at line 535 of file HDF5_File.h.

static string THDF5_FileHeader::GetSupportedHDF5_MinorVersion | ( |  | ) | `[inline, static]`

Get the minor metadata version

Returns:
  0

Definition at line 541 of file HDF5_File.h.

void THDF5_FileHeader::PopulateHeaderFileMap | ( |  | ) | `[private]`

Create map with names for the header.

Definition at line 961 of file HDF5_File.cpp.

Here is the caller graph for this function:

void THDF5_FileHeader::ReadHeaderFromInputFile | ( | THDF5_File & | InputFile | ) |

Read header from the input file.

Parameters:

  [in] | InputFile | - Input file to read from

Definition at line 781 of file HDF5_File.cpp.

Here is the call graph for this function:

void THDF5_FileHeader::SetActualCreationTime | ( |  | ) |

Set actual date and time.

Definition at line 845 of file HDF5_File.cpp.

Here is the caller graph for this function:

void THDF5_FileHeader::SetCodeName | ( | string | CodeName | ) | `[inline]`

Set code name

Parameters:

  CodeName | - code version

Definition at line 527 of file HDF5_File.h.

Here is the caller graph for this function:

void THDF5_FileHeader::SetExecutionTimes | ( | const double | TotalTime,
|  | const double | LoadTime,
|  | const double | PreProcessingTime,
|  | const double | SimulationTime,
|  | const double | PostprocessingTime
| ) |  |

Set execution times in file header.

Parameters:

  [in] | TotalTime |
  [in] | LoadTime |
  [in] | PreProcessingTime |
  [in] | SimulationTime |
  [in] | PostprocessingTime |

Definition at line 906 of file HDF5_File.cpp.

Here is the caller graph for this function:

void THDF5_FileHeader::SetFileType | ( | const THDF5_FileHeader::THDF5_FileType | FileType | ) |

Set File type.

Parameters:

  FileType |

Definition at line 833 of file HDF5_File.cpp.

Here is the caller graph for this function:

void THDF5_FileHeader::SetHostName | ( |  | ) |

Set Host name.

Definition at line 867 of file HDF5_File.cpp.

Here is the caller graph for this function:

void THDF5_FileHeader::SetMemoryConsumption | ( | size_t | TotalMemory | ) |

Set memory consumption.

Parameters:

  [in] | TotalMemory |

Definition at line 883 of file HDF5_File.cpp.

Here is the call graph for this function:

Here is the caller graph for this function:

void THDF5_FileHeader::SetNumberOfCores | ( |  | ) |

Set Number of cores.

Definition at line 938 of file HDF5_File.cpp.

Here is the call graph for this function:

Here is the caller graph for this function:

void THDF5_FileHeader::WriteHeaderToOutputFile | ( | THDF5_File & | OutputFile | ) |

Write header into the output file.

Parameters:

  [in] | OutputFile |

Definition at line 802 of file HDF5_File.cpp.

Here is the call graph for this function:

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- HDF5/HDF5_File.h
- HDF5/HDF5_File.cpp

All Classes Files Functions Variables Typedefs Enumerations